---
# This is an example playbook to execute Ansible tests.

- name: Verify
  hosts: all
  tasks:

  - name: populate service facts
    service_facts:

  # - debug:
  #     var: ansible_facts.services

  # - name: Check Docker running
  #   assert:
  #     that:
  #       - ansible_facts.services['docker.service'].state == "running"
  #       - ansible_facts.services['docker.service'].status == "enabled"

  - name: Check Containerd running
    assert:
      that:
        - ansible_facts.services['containerd.service'].state == "running"
        - ansible_facts.services['containerd.service'].status == "enabled"

  # - name: Wait for Docker metrics
  #   wait_for:
  #     host: "{{ inventory_hostname }}"
  #     port: 9323
  #     state: started
  #     timeout: 10
  #   register: docker_metrics
  #   ignore_errors: true

  # - name: "Show docker_metrics"
  #   debug: var=docker_metrics

  # - name: Check Docker metrics are up
  #   assert:
  #     that:
  #       - not docker_metrics.failed and docker_metrics.state == "started"

  - name: Get containerd ps # noqa 301
    command: "/usr/local/bin/crictl ps"
    register: containerd_ps

  - name: Check containerd healthy
    assert:
      that:
        - containerd_ps.rc == 0
